# AnyElement

class xsdata.formats.dataclass.models.generics.AnyElement(qname=None, text=None, tail=None, children=<factory>, attributes=<factory>)

  Generic model to bind xml document data to wildcard fields.

  Parameters

    - qname (`Optional`[`str`, `None`]) – The element’s qualified name

    - text (`Optional`[`str`, `None`]) – The element’s text content

    - tail (`Optional`[`str`, `None`]) – The element’s tail content

    - children (`List`[`object`]) – The element’s list of child elements.

    - attributes (`Dict`[`str`, `str`]) – The element’s key-value attribute mappings.

  __eq__(other)

    Return self==value.

  __hash__ = None